@import url('https://fonts.googleapis.com/css2?family=Varela+Round&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  background-image: url("./img/background.jpg");
  background-size: cover;
  width: 100%;
  height: 100%;
}

main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.logo img {
  height: 250px;
}

.container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  column-gap: 100px;
  row-gap: 50px;
  padding-bottom: 50px;
}

article {
  width: 200px;
  height: 200px;
  position: relative;
}

article img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.overlay{
  width: 100%;
  height: 100%;
  position: absolute;
  background-color: #0650C1;
  top: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 10px;
  opacity: 0;
  transition: opacity .5s ease;
}

.overlay img {
  width: 50px !important; 
  height: auto;
}

.overlay p {
  color: white;
  font-size: 16px;
  font-family: "Varela Round", sans-serif;
  text-align: center;
}
.overlay:hover{
  opacity: 1;
}